<!DOCTYPE html>
<html>
  <!--
    Сделать простую верстку страницы: заголовок, контент, футер.
    Заголовок должен быть сверху, минимальная высота 5% от высоты окна, футер - снизу, минимальная высота 5% от высоты окна, контент должен растягивать на все оставшуюся высоту.
    Дополнительно контент внутри заголовка и футера должен быть центрировать по середине по вертикали.
  -->
  <head>
    <meta charset="UTF-8" />
    <title>Test</title>
    <style>
      body {
        margin: 0;
        padding: 0;
      }

      #root {
      }

      header {
        background-color: blueviolet;
      }

      main {
        background-color: cadetblue;
      }

      footer {
        background-color: brown;
      }
    </style>
  </head>
  <body>
    <div id="root">
      <header>Header</header>
      <main>Content</main>
      <footer>Footer</footer>
    </div>
  </body>
